Update Page Metadata

Update Page-level metadata, including SEO and Open Graph fields.

Required scope | pages:write

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

page_idstringRequiredformat: "objectid"
Unique identifier for a Page

Query parameters

localeIdstringOptional

Unique identifier for a specific Locale.

Lear more about localization.

Request

The values to update on the Page
titlestringOptional
Title for the page
slugstringOptional
Slug for the page. **Note:** Updating slugs in secondary locales is only supported in <a href="https://webflow.com/localization">Advanced and Enterprise localization add-on plans.</a>
seoobjectOptional

SEO-related fields for the Page

openGraphobjectOptional
Open Graph fields for the Page

Response

Request was successful
idstringformat: "objectid"
Unique identifier for the Page
siteIdstringRead-onlyformat: "objectid"
Unique identifier for the Site
titlestring
Title of the Page
slugstring

slug of the Page (derived from title)

parentIdstringRead-onlyformat: "objectid"
Identifier of the parent folder
collectionIdstringRead-onlyformat: "objectid"
Unique identifier for a linked Collection, value will be null if the Page is not part of a Collection.
createdOnstringRead-onlyformat: "date-time"
The date the Page was created
lastUpdatedstringRead-onlyformat: "date-time"
The date the Page was most recently updated
archivedbooleanRead-onlyDefaults to false
Whether the Page has been archived
draftbooleanRead-onlyDefaults to false
Whether the Page is a draft
canBranchbooleanRead-onlyDefaults to false

Indicates whether the Page supports Page Branching. Pages that are already branches cannot be branched again.

isBranchbooleanRead-onlyDefaults to false

Indicates whether the Page is a Branch of another Page Page Branching

branchIdstring or nullformat: "objectid"
If the Page is a Branch of another Page, this is the ID of the Branch
seoobject

SEO-related fields for the Page

openGraphobject
Open Graph fields for the Page
localeIdstring or nullRead-onlyformat: "objectid"
Unique ID of the page locale
publishedPathstringRead-only
Relative path of the published page URL

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error